@media (max-width: 768px) {
    
    /* PAGE 1 */
    .centered-text {
        max-width: 90%;
        bottom: 30vh;
        font-size: 17px;
    }

    .centered-text p {
        font-size: 0.9em;
    }

    .custom-cursor {
        display: none;
    }

    .video-button {
        display: block;
        position: absolute;
        bottom: 20vh;
        left: 50%;
        transform: translateX(-50%);
        color: white;
        padding: 4px 18px;
        border: 1px solid white;
        border-radius: 25px;
        font-family: neue-haas-grotesk-display, sans-serif;
        font-weight: 500;
        font-size: 16px;
        background-color: transparent;
        text-decoration: none;
        text-decoration-thickness: 0.5px;
        text-align: center;
    }

    /* PAGE 2 */

    #map {
        position: fixed;
    }

    .leaflet-control-zoom { display: none !important; }
    .leaflet-control-geocoder { display: none !important; }
    .leaflet-control-attribution { display: none !important; }

    .recenter-button {
        width: 80px;
        height: 80px;
        bottom: 50px;
        left: 15px;
    }

    footer {
        border-top: none;
    }

    .footer-content {
        position: fixed;
        bottom: 10px;
        left: 0;
        right: 0;
        z-index: 1000;
        background-color: transparent;
    }

    .footer-content .left {
        display: none;
    }

    .footer-content .center {
        gap: 8px;
        justify-content: flex-end;
    }

    .footer-content .right {
        display: none;
    }

    .buttons {
        font-size: 14px;
        color: #ffffff;
        width: 100%;
        justify-content: center;
    }

    .toggle-button {
        padding: 4px 12px;
        color: rgb(255, 255, 255);
        border: 1px solid white;
        background-color: #cccccc;
        border-radius: 25px;
        margin-left: 0px;
    }

    .toggle-button.active {
        color: rgb(255, 255, 255);
    }

    #toggle-housing.active { background-color: #193156; }
    #toggle-food.active { background-color: #7c2925; }
    #toggle-stores.active { background-color: #bc7760; }
    #toggle-visit.active { background-color: #ddb378; }

    .toggle-button:hover, #toggle-housing:hover, #toggle-food:hover,
    #toggle-stores:hover, #toggle-visit:hover {
        color: inherit;
    }

    .popup-button {
        display: inline-flex;
        justify-content: center;
        border: 1px solid #000;
        border-radius: 25px;
        background-color: #f9f7f6;
        color: rgb(0, 0, 0);
        width: 90vw;
        padding: 4px 0;
        cursor: pointer;
        position: relative;
        text-decoration: none;
        font-family: the-seasons, sans-serif;
        font-weight: 700;
        font-size: 15px;
    }

    .popup-container {
        bottom: 10px;
        right: 50%;
        transform: translate(50%);
        width: 93vw;
    }

    .beehiiv-form-container {
        width: 100% !important;
    }

    .beehiiv-form-container iframe {
        width: 100% !important;
    }

    @keyframes slideIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }

    .top-text2 {
        left: 50px;
        z-index: 5;
    }

    .menu-button {
        display: block;
        cursor: pointer;
        position: fixed;
        top: 42px;
        right: 30px;
        z-index: 5;
        width: 30px;
        height: 20px;
        background: none;
        border: none;
        padding: 2px;
    }

    .menu-button span {
        display: block;
        position: absolute;
        height: 3px;
        width: 100%;
        background: #000;
        border-radius: 3px;
        opacity: 1;
        left: 0;
        transform: rotate(0deg);
        transition: .25s ease-in-out;
    }

    .menu-button span:nth-child(1) {
        top: 0px;
    }

    .menu-button span:nth-child(2) {
        top: 9px;
    }

    .menu-button span:nth-child(3) {
        top: 18px;
    }

    /* style menu mobile */

    .menu-sidebar {
        display:flex;
        position: fixed;
        top: 0;
        right: -100vw;
        width: 100vw;
        height: 100vh;
        background-color: #f0ede9;
        z-index: 10;
        transition: right 0.7s ease;
        flex-direction: column;
        font-family: the-seasons, sans-serif;
        font-weight: 700;
        font-style: normal;
        font-size: 25px;
    }

    .menu-sidebar.open {
        right: 0;
    }

    .menu-header {
        display: flex;
        justify-content: space-between;
        padding: 20px;
        font-size: 24px;
    }

    .menu-close-button {
        position: absolute;
        top : 35px;
        right: 30px;
        background: none;
        border: none;
        font-family: the-seasons, sans-serif;
        font-weight: 700;
        font-style: normal;
        font-size: 30px;
        color: #000;
        cursor: pointer;
        padding: 5px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        width: 30px;
        height: 30px;
        text-decoration: none;
    }

    .menu-content {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .menu-content h2 {
        font-size: 28px;
        color: #c6bdb5;
        width: 80vw;
        margin-top: 15vh;
    }

    .menu-links {
        margin-top: 60px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .menu-links a {
        font-size: 30px;
        color: black;
        text-decoration: none;
        margin-bottom: 5px;
    }

    /* style sidebar et gallery */

    #sidebar {
        width: 100vw;
        right: -100vw;
        height: 100vh;        
        display: flex;
        flex-direction: column;
        overflow: hidden;
        z-index: 10;
    }

    /*.sidebar-close-mobile {
        display: block;
    }*/

    .sidebar-content {
        flex: 1;
        display: flex;
        height: 100vh;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        touch-action: pan-y;
        user-select: none;
        -webkit-user-drag: none;
        -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    }

    .sidebar-close-mobile {
        display: flex;
        position: relative;
        margin-top: 8px;
        margin-left: 5px;
        height: 20px;
        font-family: the-seasons, sans-serif;
        font-weight: 700;
        font-style: normal;
        font-size: 20px;
        background: none;
        border: none;
        color: #000;
        cursor: pointer;
        z-index: 1001;
    }

    .sidebar-content.has-event-banner .sidebar-title {
        padding-top: 2vh;
    }

    .marquee {
        width: 100vw;
    }

    .header-overlay {
        margin: 1px 0 1px;
        padding: 0 6px;
    }

    .sidebar-title {
        font-size: 1.7em;
        padding-top: 2.5vh;
        padding-bottom: 1.5vh;
        width: 90vw;
        margin: 0 auto;
        white-space: normal;
        word-wrap: break-word;
    }

    .sidebar-title.long {
        font-size: 1.4em;
    }

    .sidebar-type {
        font-size: 13px;
    }

    .gallery-container {
        height: 50vh;
        margin: 0;
        touch-action: pan-y;
        user-select: none;
        -webkit-user-drag: none;
        -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    }

    .gallery-image { position: static !important; }

    .prev, .next {
        display: none !important;
    }

    .slides-wrapper-mobile .gallery-image {
        position: relative !important;
        display: block !important;
    }

    .full-contenant {
        margin: 3.5vh 0 8vh;
        overflow-y: unset;
    }

    .content-container {
        flex-direction: column;
        align-items: center;
        padding: 0 0 4vh;
        gap: 45px;
    }

    .why-container {
        width: 85%;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    .why-text {
        padding-left: 0;
        text-align: center;
        width: 100%;
        color: black;
    }
    
    .why-label {
        font-size: 13px;
        text-align: center;
        width: 100%;
        color: grey;
    }

    .info-container {
        flex-direction: column;
        align-items: center;
        width: 90%;
        gap: 15px;
    }

    .schedule {
        width: 50%;
    }

    .adress {
        text-align: center;
        width: 70%;
    }

    .adress p {
        font-size: 15px;
    }

    .socials {
        justify-content: center;
        /*margin-bottom: 15px;*/
    }

    .link-button {
        margin: 0 15px 15px 15px;
    }
    
    .link-button a {
        padding: 10px 20px;
        font-size: 13px;
        min-width: 100px;
    }

    .bottom-text {
        margin: 0 0 6vh;
    }

    .icon-container {
        gap: 20px;
    }
    
    .sidebar-icon {
        width: 40px;
        height: 40px;
    }

/* ?? */
    .sidebar-content::-webkit-scrollbar {
        display: none;
    }

    .sidebar-content {
        -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;  /* Firefox */
    }

/* PAGE 3 ABOUT */

    .back-button {
        top: 22px;
        right: 25px;
        font-size: 30px;
        z-index: 2;
    }

    .top-header {
        z-index: 2;
    }

    .top-header .back-button, .top-header .top-text2 a {
        color: #ffffff;
    }

    .zone-1 {
        flex-direction: column;
        margin-top: 0;
        gap: 0;
        align-items: center;
        position: relative;
        height: 100vh;
    }

    .main-title {
        position: absolute;
        bottom: 15vh;
        left: 50%;
        transform: translateX(-50%);
        width: 85vw;
        font-size: 24px;
        line-height: 1.4;
        padding: 0;
        margin: 0;
        z-index: 1;
        color: #ffffff;
    }

    .background-image {
        width: 100vw;
        height: 100vh;
        object-fit: cover;
    }

    .zone-2 {
        padding: 8vh 0;
    }

    .zone-2 p {
        max-width: 80%;
        font-size: 16px;
        line-height: 1.3;
    }

    .zone-2 h2 {
        font-size: 22px;
        width: 55%;
    }

    .line-separator {
        width: 150px;
    }

    .zone-3 {
        flex-direction: column;
        gap: 0;
        align-items: center;
    }

    .column-left {
        width: 80%;
        padding: 0;
        margin-bottom: 5vh;
        justify-items: center;
    }

    .content-image {
        height: 40vh;
        margin-bottom: 0;
    }

    .markers-buttons {
        height: 2vh;
    }

    .column-right {
        width: 80%;
        padding: 0;
    }

    .column-right h2 {
        font-size: 22px;
        text-align: center;
        margin-bottom: 20px;
    }

    .column-right p {
        font-size: 15px;
        line-height: 1.7;
        text-align: justify;
        margin-bottom: 0;
    }

    .zone-4 {
        flex-direction: column;
        margin: 20vh 0;
        align-items: center;
    }

    .container-text {
        width: 80%;
        padding: 0;
        text-align: center;
        margin-bottom: 5vh;
    }

    .container-text h2 {
        font-size: 22px;
        margin-bottom: 15px;
    }

     .container-text p {
        font-size: 15px;
        line-height: 1.6;
    }

    .container-zone {
        width: 100vw;
        padding: 0;
        margin: 0;
        flex-direction: column;
        align-items: center;
        gap: 0;
    }

    .ecosystem-navigation {
        width: 85vw;
        padding: 0;
    }

    .ecosystem-content {
        display: none;
    }

    .ecosystem-tab {
        width: 100%;
        font-size: 18px;
        align-items: center;
        color: inherit;
    }

    .tab-line {
        width: 100%;
    }

    .ecosystem-tab.active .tab-line {
        width: 100%;
    }

    .tab-content {
        position: static !important;
        width: 100%;
        padding: 15px 0 25px;
        opacity: 0;
        max-height: 0;
        overflow: hidden;
        transition: opacity 0.3s ease, max-height 0.3s ease;
    }

    .tab-content.active {
        opacity: 1;
        max-height: 500px;
    }

    .tab-content p {
        width: 100%;
        font-size: 14px;
        line-height: 1.6;
        margin: 0;
    }

    .zone-5 {
        align-items: center;
        gap: 20vh;
        padding: 0 0 18vh;
    }

    .contenant-1,
    .contenant-2 {
        flex-direction: column;
        gap: 4vh;
        align-items: center;
        width: 80%;
    }

    .contenant-2 {
        flex-direction: column-reverse;
    }

    .container-image {
        width: 100%;
        height: 40vh;
        border-radius: 10px;
    }

    .liner {
        width: 100%;
        padding: 0;
        text-align: center;
    }

    .liner br {
        display: none;
    }

    .contenant-2 .liner {
        padding: 0;
        text-align: center;
    }

    .liner h2 {
        font-size: 22px;
        margin-bottom: 15px;
    }

    .liner p {
        font-size: 15px;
        line-height: 1.7;
        text-align: justify;
        margin-bottom: 20px;
    }

    .liner a {
        font-size: 16px;
        display: inline-block;
        margin-top: 10px;
    }

    .copyright {
        padding: 15px 0;
        font-size: 8px;
    }

    /* PAGE 4 CONTACT */

    .container {
        height: 100vh;
        width: 100vw;
        overflow-y: unset;
    }

    .container .contact {
        max-width: 90vw;
    }

    .container .contact h1 {
        font-size: 30px;
    }

    .container .contact h2 {
        max-width: 70vw;
    }

    .container .contact p {
        font-size: 23px;
    }

    .container .contact span {
        font-size: 16px;
    }

    /* PAGE 5 TERMS */

    .container .terms {
        display: flex;
        flex-direction: column;
        height: 100%;
        /*width: 100%;*/
        max-width: 100vw;
        top: 0;
        /*margin-bottom: 0;*/
    }
    
    .container .terms .title {
        font-size: 30px;
        margin-top: 150px;
        margin-bottom: 30px;
        text-align: center;
        width: 100%;
    }
    
    .container .terms .conditions {
        padding: 20px;
        column-count: 1;
        overflow-y: scroll;
        align-items: center;
        position: relative;
    }

    .credits {
        margin-bottom: 80px;
    }

    /* PAGE NEWSLETTER */

    .beehiiv-container {
        width: 85vw !important;
        height: 70vh !important;
    }

    .beehiiv-container iframe {
        width: 100% !important;
        height: 100%;
    }

}